Imports IntraSell_DLL

Public Class SichtbareSpalten

    Event SpaltenGeaendert()

    Private Sub cbBezeichnung1_CheckedChanged(sender As Object, e As EventArgs) Handles cbBezeichnung1.Click, cbBeschreibung.Click, cbPreisNetto.Click,
        cbPreisBrutto.Click, cbMWST.Click, cbBarcode.Click, cbSetArtikel.Click, cbLagerArtikel.Click, cbModifikationen.Click, cbStatAustria_Ursprungsland.Click, cbZustellpreis.Click
        Try
            SetVarValue(ARTIKEL_LISTE_BEZEICHNUNG1_SICHTBAR, cbBezeichnung1.Checked)
            SetVarValue(ARTIKEL_LISTE_BESCHREIBUNG_SICHTBAR, cbBeschreibung.Checked)
            SetVarValue(ARTIKEL_LISTE_PREIS_NETTO_SICHTBAR, cbPreisNetto.Checked)
            SetVarValue(ARTIKEL_LISTE_PREIS_BRUTTO_SICHTBAR, cbPreisBrutto.Checked)
            SetVarValue(ARTIKEL_LISTE_PREIS_ZUSTELLUNG_SICHTBAR, cbZustellpreis.Checked)
            SetVarValue(ARTIKEL_LISTE_MWST_SICHTBAR, cbMWST.Checked)
            SetVarValue(ARTIKEL_LISTE_BARCODE_SICHTBAR, cbBarcode.Checked)
            SetVarValue(ARTIKEL_LISTE_SETARTIKEL_SICHTBAR, cbSetArtikel.Checked)
            SetVarValue(ARTIKEL_LISTE_LAGERARTIKEL_SICHTBAR, cbLagerArtikel.Checked)
            SetVarValue(ARTIKEL_LISTE_MODIFIKATIONEN_SICHTBAR, cbModifikationen.Checked)
            SetVarValue(ARTIKEL_LISTE_STATAUSTRIA_URSRPUNGSLAND_SICHTBAR, cbStatAustria_Ursprungsland.Checked)

            RaiseEvent SpaltenGeaendert()
        Catch ex As Exception
            HandleAppError(ex, Silent:=True)
        End Try
    End Sub

    Private Sub SichtbareSpalten_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Try
            cbBezeichnung1.Checked = VarValue_Default(ARTIKEL_LISTE_BEZEICHNUNG1_SICHTBAR, False)
            cbBeschreibung.Checked = VarValue_Default(ARTIKEL_LISTE_BESCHREIBUNG_SICHTBAR, False)
            cbPreisNetto.Checked = VarValue_Default(ARTIKEL_LISTE_PREIS_NETTO_SICHTBAR, False)
            cbPreisBrutto.Checked = VarValue_Default(ARTIKEL_LISTE_PREIS_BRUTTO_SICHTBAR, True)
            cbZustellpreis.Checked = VarValue_Default(ARTIKEL_LISTE_PREIS_ZUSTELLUNG_SICHTBAR, True)
            cbMWST.Checked = VarValue_Default(ARTIKEL_LISTE_MWST_SICHTBAR, True)
            cbBarcode.Checked = VarValue_Default(ARTIKEL_LISTE_BARCODE_SICHTBAR, False)
            cbSetArtikel.Checked = VarValue_Default(ARTIKEL_LISTE_SETARTIKEL_SICHTBAR, False)
            cbLagerArtikel.Checked = VarValue_Default(ARTIKEL_LISTE_LAGERARTIKEL_SICHTBAR, False)
            cbModifikationen.Checked = VarValue_Default(ARTIKEL_LISTE_MODIFIKATIONEN_SICHTBAR, False)
            cbStatAustria_Ursprungsland.Checked = VarValue_Default(ARTIKEL_LISTE_STATAUSTRIA_URSRPUNGSLAND_SICHTBAR, False)
        Catch ex As Exception
            HandleAppError(ex, Silent:=True)
        End Try

    End Sub

End Class